/*
 *  Tcpjunk - TCP protocols testing tool
 *  Contact: oferkv@gmail.com
 *
 *  Tcpjunk is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2, or (at your option) any
 *  later version.
 *
 *  Tcpjunk is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 */

#ifndef UTILS_H
#define UTILS_H

char fuzz_char(int ftype);
void sigchld_handler(int s);
int load_session_data(struct tj_data *inst_data);
long tj_filesize(FILE *stream);
void load_file_list(struct tj_data *inst_data, const char *auto_file_dir);
void set_auto_session_file(struct tj_data *inst_data);
void find_sections(struct tj_data *inst_data);
void tj_log(struct tj_data *inst_data, char *message, int color);
void tj_show_help();
char*tj_malloc(char *buf, int buf_len);
char *tj_realloc(char *buf, int buf_len);
void cleanup(int sig);
char *hex_dump(char *buf, int buf_len);
void gen_new_src_ip(struct tj_data *inst_data, char *new_src_ip);
void daemonize();

#endif

